/Account/ChannelUtm/Batch (PUT)
PUT
/Account/ChannelUtm/Batch
const url = 'https://api.chatfood.app/Account/ChannelUtm/Batch';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'}, body: '[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "channel": "example", "utmSource": "example", "campaignEnabled": true } ]'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.chatfood.app/Account/ChannelUtm/Batch \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json-patch+json' \ --data '[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "channel": "example", "utmSource": "example", "campaignEnabled": true } ]'Authorizations
Seção intitulada “Authorizations”Request Body
Seção intitulada “Request Body”Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
accountId
string format: uuid
channel
string
utmSource
string
campaignEnabled
boolean
Examplegenerated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "channel": "example", "utmSource": "example", "campaignEnabled": true }]Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
accountId
string format: uuid
channel
string
utmSource
string
campaignEnabled
boolean
Examplegenerated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "channel": "example", "utmSource": "example", "campaignEnabled": true }]Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
accountId
string format: uuid
channel
string
utmSource
string
campaignEnabled
boolean
Examplegenerated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "channel": "example", "utmSource": "example", "campaignEnabled": true }]Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
accountId
string format: uuid
channel
string
utmSource
string
campaignEnabled
boolean
Examplegenerated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "channel": "example", "utmSource": "example", "campaignEnabled": true }]Responses
Seção intitulada “Responses”OK